> ## Documentation Index
> Fetch the complete documentation index at: https://modem.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get identities

> Get all platform identities linked to a person



## OpenAPI

````yaml /api-reference/openapi.json get /people/{personId}/identities
openapi: 3.1.1
info:
  description: >-
    The public Modem API. Authenticate with an organization API key:
    `Authorization: Bearer modem_…`.
  title: Modem API
  version: 1.0.0
servers:
  - description: Production
    url: https://api.modem.dev/v1
security:
  - bearerAuth: []
paths:
  /people/{personId}/identities:
    get:
      tags:
        - People
      summary: Get identities
      description: Get all platform identities linked to a person
      operationId: people.getIdentities
      parameters:
        - in: path
          name: personId
          required: true
          schema:
            pattern: ^\d+$
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  data:
                    items:
                      properties:
                        author:
                          anyOf:
                            - properties:
                                avatarUrl:
                                  anyOf:
                                    - type: string
                                    - type: 'null'
                                displayName:
                                  type: string
                                id:
                                  type: string
                              required:
                                - avatarUrl
                                - displayName
                                - id
                              type: object
                            - type: 'null'
                        id:
                          type: string
                        isPrimary:
                          type: boolean
                        platform:
                          pattern: ^[a-z0-9]+(?:-[a-z0-9]+)*$
                          type: string
                        platformId:
                          type: string
                        platformUsername:
                          anyOf:
                            - type: string
                            - type: 'null'
                      required:
                        - author
                        - id
                        - isPrimary
                        - platform
                        - platformId
                        - platformUsername
                      type: object
                    type: array
                required:
                  - data
                type: object
          description: OK
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Invalid request (validation failed).
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Missing or invalid API key.
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: The API key does not have access to this resource.
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: The requested resource was not found.
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Rate limit exceeded.
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Internal server error.
components:
  schemas:
    Error:
      properties:
        code:
          description: Machine-readable error code, e.g. `NOT_FOUND`.
          examples:
            - NOT_FOUND
          type: string
        data:
          description: Optional structured error details.
        defined:
          description: True if the error was declared in the procedure contract.
          type: boolean
        message:
          description: Human-readable error message.
          type: string
        status:
          description: HTTP status code.
          examples:
            - 404
          type: integer
      required:
        - code
        - defined
        - message
        - status
      type: object
  securitySchemes:
    bearerAuth:
      description: Organization API key (`modem_…`).
      scheme: bearer
      type: http

````